import { Feature } from "../../meta/core/resources/features/feature.resource";
import { UserFeature } from "../../meta/core/resources/users/user-feature.resource";
import { UserSeedModel } from "./user-seed-model";
export declare function seedUsers(): Promise<void>;
export declare function seedWorkerBotDirectlyInDb(): Promise<void>;
export declare function seedOtherUsersInfo(featureByFeatureCode: Map<string, Feature>): Promise<void>;
export declare function seedOtherUserInfo(userSeedModel: UserSeedModel, featureByFeatureCode: Map<string, Feature>, userFeatures: UserFeature[], resourceId: string): Promise<void>;
